Bug 44852 - vorbis SRPM needs build dependencies on libogg-devel and kdelibs-sound-devel
Summary: vorbis SRPM needs build dependencies on libogg-devel and kdelibs-sound-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vorbis   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-18 14:12 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-18 14:12:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-18 14:12:43 UTC
Description of Problem: with the 7.1 product, you cannot build the vorbis
SRPM without having libogg-devel and kdelibs-sound-devel installed.   But,
if "rpm -ba /usr/src/redhat/SPECS/vorbis*spec" is executed, you do NOT get
an error from rpm about missing/unsatisfied build dependencies.  If you
install the libogg-devel and kdelibs-sound-devel rpms, the vorbis SRPM
builds without problems.

How Reproducible: Always

Steps to Reproduce:
  1. rpm -e libogg-devel kdelibs-sound-devel
  2. rpm -Uvh <tree-path>/SRPMS/vorbis*.src.rpm
  3. rpm -ba /usr/src/redhat/SPECS/vorbis*spec
  4. rpm -Uvh <tree-path>/RedHat/RPMS/libogg-devel* (and
kdelibs-sound-devel*)
  5. rpm -ba /usr/src/redhat/SPECS/vorbis*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the vorbis SRPM cannot be built without installing the
libogg-devel and kdelibs-sound-devel RPM(s).


Additional Information:

Comment 1 Bill Nottingham 2001-06-19 23:41:25 UTC
will be fixed in 1.0rc1-1; thanks!


Note You need to log in before you can comment on or make changes to this bug.